---
title: Download batch XLSX
url: https://anyrow.ai/docs/api/batches/download-xlsx
canonical_url: https://anyrow.ai/docs/api/batches/download-xlsx
---

# Download batch XLSX

`GET /v1/projects/{project_id}/batches/{batch_id}/download/xlsx`

Authentication: `Authorization: ApiKey {your_api_key}`.

## Path parameters

- `project_id` (string, required)
- `batch_id` (string, required)

## Returns

No response body; the request succeeds or returns an error.

## Errors

- 404: `batch_not_found`, `not_found`

Errors every endpoint can return: [Errors](https://anyrow.ai/docs/api/errors.md).

## Request

```ts title="Node.js"
import { AnyrowSDK } from "@anyrow/sdk"

const anyrow = new AnyrowSDK({
  baseURL: "https://api.anyrow.ai",
  headers: { Authorization: `ApiKey ${process.env.ANYROW_API_KEY}` },
})

const { data, error } = await anyrow.batch.download.xlsx({
  params: {
    project_id: "{project_id}",
    batch_id: "{batch_id}"
  },
})
```

```bash title="cURL"
curl 'https://api.anyrow.ai/v1/projects/{project_id}/batches/{batch_id}/download/xlsx' \
  -H 'Authorization: ApiKey {your_api_key}'
```

```js title="JavaScript"
const response = await fetch("https://api.anyrow.ai/v1/projects/{project_id}/batches/{batch_id}/download/xlsx", {
  headers: {
    Authorization: "ApiKey {your_api_key}",
  },
})
const data = await response.json()
```

```python title="Python"
import requests

response = requests.get(
    "https://api.anyrow.ai/v1/projects/{project_id}/batches/{batch_id}/download/xlsx",
    headers={
        "Authorization": "ApiKey {your_api_key}",
    },
)
print(response.json())
```
